import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconArchive as IconArchiveClass } from "../../../../components/icon/icons/archive.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconArchive = (props) => {
  IconArchiveClass.define();
  const JSXElement = getReactComponent("gds-icon-archive");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconArchive.displayName = "IconArchive";
export {
  IconArchive
};
